# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'

Puppet::Type.type(:db2_install).provide(:simple) do
  include EasyType::Provider

  desc 'Manage db2_install class setup'

  mk_resource_methods

  #
  # For this type we never need to create something.
  #
  def exists?
    true
  end
end
